%global date    20141215
%global rev     258

%global tarball %{name}-%{date}svn%{rev}

Name:           jlibrtp
Version:        0.2.3
# FIXME get a current release, http://sf.net/p/jlibrtp/bugs/8
Release:        0.4.%{date}svn%{rev}%{?dist}
Summary:        Java library for the Real-Time Transport Protocol (RTP)

License:        LGPLv2+
URL:            http://sf.net/projects/%{name}

# make source tarball: $ sh %{name}-svn-tarball.sh %{rev}
Source0:        %{tarball}.tar.xz
Source1:        %{name}-svn-tarball.sh

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  javapackages-local

Requires:       jdom


%description
%{name} aims to create a library that makes it easy to support
RTP (RFC 3550,3551) in Java applications. SRTP (RFC 3771) has been
delayed in favor of RFC 4585.


%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -qn%{tarball}
# remove DOS line encodings
sed -i "s|\r||g" build.xml

%build
ant all

%install
%mvn_artifact org.jlibrtp:jlibrtp:%{version} %{name}.jar
%mvn_install -J api


%files -f .mfiles
%license src/org/%{name}/LICENSE.txt
# FIXME demos and tests do not work in Fedora

%files javadoc -f .mfiles-javadoc
%license src/org/%{name}/LICENSE.txt


%changelog
* Thu Apr 02 2015 Raphael Groner <projects.rg@smart.ms> - 0.2.3-0.4.20141215svn258
- remove reviewed redundants R: java, chmod, javadoc
- skip distribution of demo and test subfolders

* Tue Mar 31 2015 Raphael Groner <projects.rg@smart.ms> - 0.2.3-0.3.20141215svn258
- remove file duplications

* Tue Mar 31 2015 Raphael Groner <projects.rg@smart.ms> - 0.2.3-0.2.20141215svn258
- use mfiles
- own javadir subfolder completely
- use version for javadoc
- introduce license macro

* Tue Mar 03 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.2.3-0.1.20141215svn258
- rebase as a pre-release
- merge suggestions for javapackages-local from puntogil
- remove dos2unix
- rev 258

* Sat Dec 06 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0.2.2-2.20141206svn255
- remove test and demo

* Sat Nov 22 2014 Raphael Groner <projects.rg [AT] smart.ms> - 0.2.2-1.20141122svn252
- initial
